Bug 170209 - deskutils/kdepim4 fails to link with libinotify (and also kdepim44)
Summary: deskutils/kdepim4 fails to link with libinotify (and also kdepim44)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-27 11:20 UTC by delleceste
Modified: 2012-08-25 02:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description delleceste 2012-07-27 11:20:06 UTC
deskutils/kdepim4 fails to build giving a link error (undefined reference to inotify_add_watch and inotify_init)


same thing for kdepim44

./lib/libkmailprivate.so.5.0.1: undefined reference to `inotify_add_watch'
./lib/libkmailprivate.so.5.0.1: undefined reference to `inotify_init'

Fix: 

edit deskutils/kdepim4/work/kdepim-4.8.4/messageviewer

CMakeLists.txt

add 
 -linotify

in target_link_libraries(....

)
How-To-Repeat: cd /usr/ports/deskutils/kdepim4 

make
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-07-27 16:04:57 UTC
Responsible Changed
From-To: freebsd-amd64->kde

Make this a ports PR, fix Synopsis, and assign.
Comment 2 Max Brazhnikov freebsd_committer 2012-07-27 16:58:11 UTC
State Changed
From-To: open->feedback

Did you install devel/libinotify? can you show output of ldd 
libkmailprivate.so.5.0.1
Comment 3 delleceste 2012-08-06 08:53:26 UTC
any news?

Giacomo.

-- 
Giacomo S.
http://www.giacomos.it

Sincrotrone Trieste S.C.p.A. di interesse nazionale
Strada Statale 14 - km 163,5 in AREA Science Park
34149 Basovizza, Trieste ITALY
-
040 3758073
328 3237959

- - - - - - - - - - - - - - - - - - - - - -

* iqfire-wall, un progetto
  open source che implementa un
  filtro di pacchetti di rete per Linux,
  e` disponibile per il download qui:
  http://sourceforge.net/projects/ipfire-wall

* Informazioni e pagina web ufficiale:
  http://www.giacomos.it/iqfire/index.html

- - - - - - - - - - - - - - - - - - - - - -

 . ''  `.
:   :'    :
 `.  ` '
    `- Debian GNU/Linux -- The power of freedom
        http://www.debian.org
Comment 4 Alberto Villa freebsd_committer 2012-08-20 16:19:40 UTC
State Changed
From-To: feedback->analyzed

I'll take it.
Comment 5 dfilter service freebsd_committer 2012-08-25 02:38:48 UTC
Author: avilla
Date: Sat Aug 25 01:38:34 2012
New Revision: 303110
URL: http://svn.freebsd.org/changeset/ports/303110

Log:
  - Remove check for inotify.h.
  
  devel/libinotify doesn't support yet some of the events used by the
  code, so we can't add it as a dependency, and we need to disable the
  checks.
  
  PR:		170209

Added:
  head/deskutils/kdepim4/files/patch-messageviewer__CMakeLists.txt   (contents, props changed)
  head/deskutils/kdepim44/files/patch-kmail__CMakeLists.txt   (contents, props changed)

Added: head/deskutils/kdepim4/files/patch-messageviewer__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/kdepim4/files/patch-messageviewer__CMakeLists.txt	Sat Aug 25 01:38:34 2012	(r303110)
@@ -0,0 +1,10 @@
+--- ./messageviewer/CMakeLists.txt.orig	2012-08-25 03:19:01.387668126 +0200
++++ ./messageviewer/CMakeLists.txt	2012-08-25 03:19:18.597652001 +0200
+@@ -17,7 +17,6 @@
+ 
+ configure_file(messageviewer.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/messageviewer.kcfg)
+ 
+-check_include_files(sys/inotify.h SYS_INOTIFY_H_FOUND)
+ macro_bool_to_01(SYS_INOTIFY_H_FOUND HAVE_SYS_INOTIFY_H)
+ configure_file(config-messageviewer.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-messageviewer.h)
+ 

Added: head/deskutils/kdepim44/files/patch-kmail__CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/kdepim44/files/patch-kmail__CMakeLists.txt	Sat Aug 25 01:38:34 2012	(r303110)
@@ -0,0 +1,10 @@
+--- ./kmail/CMakeLists.txt.orig	2012-08-25 02:59:33.137594262 +0200
++++ ./kmail/CMakeLists.txt	2012-08-25 03:03:00.337595149 +0200
+@@ -4,7 +4,6 @@
+ check_include_files(fcntl.h HAVE_FCNTL_H)
+ check_include_files(byteswap.h HAVE_BYTESWAP_H)
+ check_include_files(paths.h HAVE_PATHS_H)
+-check_include_files(sys/inotify.h SYS_INOTIFY_H_FOUND)
+ check_function_exists(mmap HAVE_MMAP)
+ macro_bool_to_01(SYS_INOTIFY_H_FOUND HAVE_SYS_INOTIFY_H)
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Alberto Villa freebsd_committer 2012-08-25 02:43:07 UTC
State Changed
From-To: analyzed->closed

Checks for inotify.h were removed. The reason is explained in the commit 
message which is about to be attached to the PR.